

/*
 * Eine Buchserie hat einen Namen und ein Preis, der für jeden Titel dieser Serie gilt.
 */
public class BookSeriesImpl implements BookSeries {
	
	private String seriesName;
	
	public BookSeriesImpl( String seriesName ) {
		this.seriesName = seriesName;
	}

	public String getSeriesName() {
		return seriesName;
	}
	
	public double getPricePerBook() {
		
		switch ( seriesName ){
			case "Harry Potter": 	return 8;
			default: 				return 0;
		}
			
	}

}
